{

 Unit fidomask - part of UUECoder project (c) Andrew V. Sichevoi

 fidomask.pp - GNU GPL part of aTXt2MSg by Andrew V. Sichevoi
 (c) Andrew V. Sichevoi
 
 License: GNU GPL v2.0 (or high)

 Desc:       - IsFidoAddr()
             aAddress
       fido-. 
       
}

Unit FidoMask;

 INTERFACE

  Function IsFidoAddr(aAddress : String) : Boolean;

 IMPLEMENTATION

Uses
    FidoAddr;

{}
Function IsFullNumber(S : String) : Boolean;
Var
   I : Byte;
{}
Function IsNumber(C : Char) : Boolean;
Begin
 IsNumber:=False;
 If C In ['0'..'9'] Then IsNumber:=True;
End;
{}
Begin

 IsFullNumber:=True;
 For I:=1 To Length(S) Do
  If Not IsNumber(S[I]) Then Begin
   IsFullNumber:=False;
   Break;
  End;

End;
{}
Function IsFidoAddr(aAddress : String) : Boolean;
Var
   Address : String;
   Check   : Boolean;
Begin

 Address:=aAddress;
 CutFTNDomain(Address);
 Check:=True;
 Check:=Check And IsFullNumber(FTNZone (Address));
 Check:=Check And IsFullNumber(FTNNet  (Address));
 Check:=Check And IsFullNumber(FTNNode (Address));
 Check:=Check And IsFullNumber(FTNPoint(Address));
 IsFidoAddr:=Check;

End;

End.
