//
//
//  uccommon.pp - part of program UUECoder
//  Author : Andrew V. Sichevoi
//           2:6028/9@fidonet
//           sichevoi@mail.ru
//	     www.sichevoi.nm.ru
//
//  License: GNU GPL (v2.0 or high)
//
//

unit UCCommon;

 interface
 
//============================================================================= 
const     
     {$IFDEF UNIX}
      DIR_SEPARATOR = '/';
     {$ELSE}
      DIR_SEPARATOR = '\';
     {$ENDIF}

  procedure Error      (Message : String);
  function  GetFileName(InStr : String  ) : String;
//=============================================================================

 implementation
 
//============================================================================= 
{=============================================================================}
procedure Error(Message : String);
begin

 Writeln({StdErr,} Message);
 Halt(1);
 
end; 
{=============================================================================}

{=[ CutFileName ]=============================================================}
function GetFileName(InStr : String) : String;
var
    OutStr : String;
    Index  : Word;
    
begin    

 OutStr:= InStr;

 if (Pos(DIR_SEPARATOR, InStr) <> 0) then begin
  for Index:= Length(InStr) downto 1 do 
   if (InStr[Index] = DIR_SEPARATOR) then  Break;
  OutStr:= Copy(InStr, Index + 1, $FF);    
 end;
 
 GetFileName:= OutStr;
 
end; 
{=[ CutFileName ]=============================================================}

end.