//
//
//  ucversion.pp - part of program UUECoder
//  Author : Andrew V. Sichevoi
//           2:6028/9@fidonet
//           sichevoi@mail.ru
//	     www.sichevoi.nm.ru
//
//  License: GNU GPL (v2.0 or high)
//
//

unit UCVersion;

 interface
 
//=============================================================================
const
     Space       = ' ';
     
    {$IfDef LINUX}
     SPlatform    = 'LNX';
     FPlatform    = 'Linux';
    {$EndIf}
     
    {$IfDef FREEBSD}
     SPlatform    = 'FBSD';
     FPlatform    = 'FreeBSD';
    {$EndIf}
    
    {$IfDef OPENBSD}
     SPlatform    = 'NBSD';
     FPlatform    = 'NetBSD';
    {$EndIf}
    
    {$IfDef Windows}
      Compiling under Windows not supported!  
    {$EndIf}
     
     ProgramName = 'UUECoder' + '/' + SPlatform;
     ProgramAuth = '(c) Andrew V. Sichevoi';
     
     ProgramMVersion = 'v0.1';
     ProgramSVersion = ''    ; {Sub version}
     ProgramTVersion = 'beta'; {type of version}
     ProgramVersion  = ProgramMVersion + ProgramSVersion + ProgramTVersion;
     
     ProgramFullPID  = ProgramName + Space + ProgramVersion + Space + 
                       ProgramAuth;
     
     ProgramInfo     = ProgramName + Space + ProgramVersion + ' was compiled ' +
                       {$I %TIME%} + Space + {$I %DATE%} + ' with FPC ' +
		       {$I %FPCVERSION%} + ', ' + {$I %FPCTARGETCPU%};

//=============================================================================



 implementation
 
 
end.  